org.apache.tamaya.mutableconfig

## Class MutableConfigurationProvider

- java.lang.Object
- - org.apache.tamaya.mutableconfig.MutableConfigurationProvider

-     public final class MutableConfigurationProvider
      extends Object

  Accessor for creating `MutableConfiguration` instances to change configuration and commit changes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChangePropagationPolicy` | `getApplyAllChangePolicy()` This propagation policy writes through all changes to all mutable property sources, where applicable.
    `static ChangePropagationPolicy` | `getApplyMostSignificantOnlyChangePolicy()` This propagation policy writes changes only once to the most significant property source, where a change is applicable.
    `static ChangePropagationPolicy` | `getApplyNonePolicy()` This propagation policy writes changes only once to the most significant property source, where a change is applicable.
    `static ChangePropagationPolicy` | `getApplySelectiveChangePolicy(String... propertySourceNames)` This propagation policy writes changes only once to the most significant property source, where a change is applicable.
    `static MutableConfiguration` | `getMutableConfiguration()` Creates a new `MutableConfiguration` for the given default configuration, using all `MutablePropertySource` instances found in its context and `autoCommit = false`.
    `static MutableConfiguration` | `getMutableConfiguration(org.apache.tamaya.Configuration configuration)` Creates a new `MutableConfiguration` for the given configuration, using all `MutablePropertySource` instances found in its context and `autoCommit = false`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMutableConfiguration

          public static MutableConfiguration getMutableConfiguration()

      Creates a new `MutableConfiguration` for the given default configuration, using all `MutablePropertySource` instances found in its context and `autoCommit = false`.
      Returns:
        a new MutableConfiguration instance

    - #### getMutableConfiguration

          public static MutableConfiguration getMutableConfiguration(org.apache.tamaya.Configuration configuration)

      Creates a new `MutableConfiguration` for the given configuration, using all `MutablePropertySource` instances found in its context and `autoCommit = false`.
      Parameters:
        `configuration` - the configuration to use to write the changes/config.
      Returns:
        a new MutableConfiguration instance

    - #### getApplyAllChangePolicy

          public static ChangePropagationPolicy getApplyAllChangePolicy()

      This propagation policy writes through all changes to all mutable property sources, where applicable. This is also the default policy.

    - #### getApplyMostSignificantOnlyChangePolicy

          public static ChangePropagationPolicy getApplyMostSignificantOnlyChangePolicy()

      This propagation policy writes changes only once to the most significant property source, where a change is applicable.
      Returns:
        a corresponding `ChangePropagationPolicy` implementation, never null.

    - #### getApplySelectiveChangePolicy

          public static ChangePropagationPolicy getApplySelectiveChangePolicy(String... propertySourceNames)

      This propagation policy writes changes only once to the most significant property source, where a change is applicable.
      Parameters:
        `propertySourceNames` - the names of the mutable property sources to be considered for writing any changes to.
      Returns:
        a corresponding `ChangePropagationPolicy` implementation, never null.

    - #### getApplyNonePolicy

          public static ChangePropagationPolicy getApplyNonePolicy()

      This propagation policy writes changes only once to the most significant property source, where a change is applicable.
      Returns:
        a corresponding `ChangePropagationPolicy` implementation, never null.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.